#!/usr/bin/perl -w
#
# Copyright (c) 2011    Oak Ridge National Laboratory
#                       All rights reserved.
#
# $COPYRIGHT$
# 
# Additional copyrights may follow
# 
# $HEADER$
#

use strict;

my $changelog = shift;

if ( !defined $changelog || ! -f $changelog) {
    print "Please give the path to the debian changelog file\n";
}

my $deb_version = `grep -m 1 c3 $changelog | awk ' {  print \$2 } '`;
$deb_version =~ s/\(//;
$deb_version =~ s/\-(.*)\)//;

print "$deb_version";
